# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/cix,sky1-ipbloq-hda.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: CIX IPBLOQ HDA controller

description:
  CIX IPBLOQ High Definition Audio (HDA) Controller

maintainers:
  - Joakim Zhang <joakim.zhang@cixtech.com>

allOf:
  - $ref: sound-card-common.yaml#

properties:
  compatible:
    const: cix,sky1-ipbloq-hda

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    maxItems: 2

  clock-names:
    items:
      - const: ipg
      - const: per

  resets:
    maxItems: 1

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - clock-names
  - resets

unevaluatedProperties: false

examples:
  - |
    #include<dt-bindings/interrupt-controller/arm-gic.h>

    hda@70c0000 {
        compatible = "cix,sky1-ipbloq-hda";
        reg = <0x70c0000 0x10000>;
        interrupts = <GIC_SPI 234 IRQ_TYPE_LEVEL_HIGH>;
        clocks = <&audss_clk 7>,
                 <&audss_clk 8>;
        clock-names = "ipg", "per";
        resets = <&audss_rst 14>;
        model = "CIX SKY1 EVB HDA";
    };
